libgnome2-wnck-perl_0.16-3+b1_amd64.deb


Advertisement

Description

libgnome2-wnck-perl - Perl interface to the Window Navigator Construction Kit

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libgnome2-wnck-perl
Package version 0.16
Package release 3+b1
Package architecture amd64
Package type deb
Installed size 178 B
Download size 64.10 KB
Official Mirror ftp.br.debian.org
Gnome2::Wnck allows a Perl developer to use the Window Navigator
Construction Kit library (libwnck for short) to write tasklists and pagers.
The perl bindings follow the C API very closely, and the C reference
documentation should be considered the canonical source.
This module is part of gtk2-perl.
To discuss gtk2-perl, ask questions and flame/praise the authors,
join gtk-perl-list@gnome.org at lists.gnome.org.
Also have a look at the gtk2-perl website and sourceforge project page,
http://gtk2-perl.sourceforge.net

Alternatives

Package Version Architecture Repository
libgnome2-wnck-perl_0.16-3+b1_i386.deb 0.16 i386 Debian Main
libgnome2-wnck-perl - - -

Requires

Name Value
libatk1.0-0 >= 1.12.4
libc6 >= 2.4
libcairo2 >= 1.2.4
libfontconfig1 >= 2.11
libfreetype6 >= 2.2.1
libgdk-pixbuf2.0-0 >= 2.22.0
libglib-perl -
libglib2.0-0 >= 2.12.0
libgtk2-perl -
libgtk2.0-0 >= 2.8.0
libpango-1.0-0 >= 1.14.0
libpangocairo-1.0-0 >= 1.14.0
libpangoft2-1.0-0 >= 1.14.0
libwnck22 >= 2.30.0-3
perl >= 5.20.0-4
perlapi-5.20.0 -

Download

Type URL
Binary Package libgnome2-wnck-perl_0.16-3+b1_amd64.deb
Source Package libgnome2-wnck-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgnome2-wnck-perl deb package:
    # sudo apt-get install libgnome2-wnck-perl

Files

Path
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck/Application.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck/ClassGroup.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck/Pager.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck/Screen.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck/Selector.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck/Tasklist.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck/Window.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck/Workspace.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck/index.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck/main.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck/Install/Files.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck/Install/wnck2perl-autogen.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck/Install/wnck2perl-version.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck/Install/wnck2perl.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/Wnck/Install/wnck2perl.typemap
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Gnome2/Wnck/Wnck.so
/usr/share/doc/libgnome2-wnck-perl/NEWS.gz
/usr/share/doc/libgnome2-wnck-perl/changelog.Debian.amd64.gz
/usr/share/doc/libgnome2-wnck-perl/changelog.Debian.gz
/usr/share/doc/libgnome2-wnck-perl/changelog.gz
/usr/share/doc/libgnome2-wnck-perl/copyright
/usr/share/man/man3/Gnome2::Wnck.3pm.gz
/usr/share/man/man3/Gnome2::Wnck::Application.3pm.gz
/usr/share/man/man3/Gnome2::Wnck::ClassGroup.3pm.gz
/usr/share/man/man3/Gnome2::Wnck::Pager.3pm.gz
/usr/share/man/man3/Gnome2::Wnck::Screen.3pm.gz
/usr/share/man/man3/Gnome2::Wnck::Selector.3pm.gz
/usr/share/man/man3/Gnome2::Wnck::Tasklist.3pm.gz
/usr/share/man/man3/Gnome2::Wnck::Window.3pm.gz
/usr/share/man/man3/Gnome2::Wnck::Workspace.3pm.gz
/usr/share/man/man3/Gnome2::Wnck::index.3pm.gz
/usr/share/man/man3/Gnome2::Wnck::main.3pm.gz

Changelog

2014-02-22 - gregor herrmann <gregoa@debian.org>
libgnome2-wnck-perl (0.16-3) unstable; urgency=low
* Team upload.
[ Ryan Niebur ]
* Email change: Ryan Niebur -> ryan@debian.org
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Axel Beckert ]
* debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
copyright"
[ gregor herrmann ]
* Switch to "3.0 (quilt)" source format.
* Shrink debian/rules, thanks dh(1).
* Drop remaining parts of quilt framework.
* Use debhelper 9.20120312 to get all hardening flags.
* Add proper DEP3 headers to patch.
* Declare compliance with Debian Policy 3.9.5.
2009-02-10 - Ryan Niebur <ryanryan52@gmail.com>
libgnome2-wnck-perl (0.16-2) unstable; urgency=low
* Take over for the Debian Perl Group on maintainer's request
(http://lists.debian.org/debian-perl/2008/12/msg00163.html)
* Add me to uploaders, remove old maintainer(s)
* debhelper 7
* install NEWS
* machine readable copyright format
* fix useless whatis entries in the man pages
- use quilt
- add README.source
* wrap long-lines
* mention module-name on long description
* skip tests, they don't work
2008-06-21 - Marc 'HE' Brockschmidt <he@debian.org>
libgnome2-wnck-perl (0.16-1) unstable; urgency=low
* New upstream release
+ debian/control: Bump libglib-perl dep to 1.180
* debian/control: Bump Standards-Version to 3.8.0 (no changes needed)
2008-03-15 - Marc 'HE' Brockschmidt <he@debian.org>
libgnome2-wnck-perl (0.15-1) unstable; urgency=low
* New upstream release
* debian/watch: Fixed. (Closes: #449920)
2007-10-22 - Marc 'HE' Brockschmidt <he@debian.org>
libgnome2-wnck-perl (0.14+cvs20071022-1) unstable; urgency=low
* New upstream release snapshot. (Closes: #444407)
* debian/control: Updated to enforce wnck >= 2.19.5 to build
* debian/rules: Don't ignore realclean failures and shut up lintian
2006-10-15 - Marc 'HE' Brockschmidt <he@debian.org>
libgnome2-wnck-perl (0.14-1) unstable; urgency=low
* New upstream release
* debian/control: Bump Standards-Version
2006-02-17 - Marc 'HE' Brockschmidt <he@debian.org>
libgnome2-wnck-perl (0.12-1) unstable; urgency=low
* New upstream release
* Rebuild against new libwnck18. (Closes: #335395)
2005-10-08 - Marc 'HE' Brockschmidt <he@debian.org>
libgnome2-wnck-perl (0.11-1) unstable; urgency=low
* New upstream release.
+ Remove upstream's hard dependency on libwnck > 2.12.0, as proper 
version guards in the source code give us a buildable and
working package.
* debian/control:
+ Change Maintainer to Gtk2-Perl team.
+ Add Florian to the Uploaders field.
+ Bump the Standards-Version to 3.6.2
2005-07-20 - Marc 'HE' Brockschmidt <he@debian.org>
libgnome2-wnck-perl (0.10-2) unstable; urgency=low
* Rebuilt against new libwnck. (Closes: #319214)
2005-02-27 - Marc 'HE' Brockschmidt <he@debian.org>
libgnome2-wnck-perl (0.10-1) unstable; urgency=low
* New upstream release.

See Also

Package Description
libgnome2.0-cil-dev_2.24.2-3_amd64.deb CLI binding for GNOME 2.24
libgnome2.24-cil_2.24.2-3_amd64.deb CLI binding for GNOME 2.24
libgnomeada2.24.4-dev_2.24.4dfsg-1_amd64.deb Ada binding for the GNOME GUI (development files)
libgnomeada2.24.4_2.24.4dfsg-1_amd64.deb Ada binding for the GNOME GUI (dynamic library)
libgnomecanvas2-0_2.30.3-2_amd64.deb powerful object-oriented display engine - runtime files
libgnomecanvas2-common_2.30.3-2_all.deb powerful object-oriented display engine - common files
libgnomecanvas2-dev_2.30.3-2_amd64.deb powerful object-oriented display engine - development files
libgnomecanvas2-doc_2.30.3-2_all.deb powerful object-oriented display engine - documentation files
libgnomecanvasmm-2.6-1c2a_2.26.0-1.1_amd64.deb C++ wrappers for libgnomecanvas2 (shared library)
libgnomecanvasmm-2.6-dev_2.26.0-1.1_amd64.deb C++ wrappers for libgnomecanvas2 (development files)
libgnomecanvasmm-2.6-doc_2.26.0-1.1_all.deb C++ wrappers for libgnomecanvas2 (documentation)
libgnomedesktop2.0-cil-dev_2.26.0-8_all.deb CLI binding for GNOME Desktop 2.24
libgnomedesktop2.20-cil_2.26.0-8_all.deb CLI binding for GNOME Desktop 2.24
libgnomekbd-common_3.6.0-1_all.deb GNOME library to manage keyboard configuration - common files
libgnomekbd-dev_3.6.0-1_amd64.deb GNOME library to manage keyboard configuration - development files
Advertisement
Advertisement